
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c# 中如何定义和接收消息？(转） / iVAN</title>

    <meta name="description" content="c# 中如何定义和接收消息？(转） 在C#中目前我还没有找到发送消息的类成员函数,所以只能采用通过调用WIN 32 API 的 SendMessage() 函数实现.由于 SendMessage的参数中需要得到窗体的句柄(handler) ,所以又要调用另一个API FindWindow(), 两者配合使用,达到在不同窗体之间的消息发送和接收功能. 另外一个要点是,需要通过重写(Override) 窗体的 DefWndProc() 过程来接收自定义的消息.DefWndProc 的重写: protected override voi">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c# 中如何定义和接收消息？(转）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在C#中目前我还没有找到发送消息的类成员函数，所以只能采用通过调用WIN 32 API 的 SendMessage() 函数实现。由于 SendMessage的参数中需要得到窗体的句柄(handler) ，所以又要调用另一个API FindWindow(), 两者配合使用，达到在不同窗体之间的消息发送和接收功能。</p>
<p>另外一个要点是，需要通过重写(Override) 窗体的 DefWndProc() 过程来接收自定义的消息。DefWndProc 的重写：</p>
<p>protected override void DefWndProc(ref System.Windows.Forms.Message m)<br />{<br />switch(m.Msg)<br />{<br />case ...:<br />break;<br />default:<br />base.DefWndProc(ref m);<br />break;<br />}<br />}</p>
<p>下面是我的C#实践例程。<br />------------------------------------<br />/////////////////////////////////////////<br />///file name: Note.cs<br />///<br />public class Note<br />{<br />//声明 API 函数</p>
<p>[DllImport("User32.dll",EntryPoint="SendMessage")]<br />private static extern int SendMessage(<br />int hWnd, // handle to destination window<br />int Msg, // message<br />int wParam, // first message parameter<br />int lParam // second message parameter<br />);<br />[DllImport("User32.dll",EntryPoint="FindWindow")]<br />private static extern int FindWindow(string lpClassName,string<br />lpWindowName);<br />//定义消息常数<br />public const int USER = 0x500;<br />public const int TEST = USER + 1;</p>
<p>//向窗体发送消息的函数</p>
<p>private void SendMsgToMainForm(int MSG)<br />{<br />int WINDOW_HANDLER = FindWindow(null,@"Note Pad");<br />if(WINDOW_HANDLER == 0)<br />{<br />throw new Exception("Could not find Main window!");<br />}<br />SendMessage(WINDOW_HANDLER,MSG,100,200);<br />}<br />}</p>
<p>/////////////////////////////////////////<br />/// File name : Form1.cs<br />/// 接收消息的窗体<br />///</p>
<p>public class Form1 : System.Windows.Forms.Form<br />{<br />public Form1()<br />{<br />//<br />// Required for Windows Form Designer support<br />//<br />InitializeComponent();<br />//<br />// TODO: Add any constructor code after InitializeComponent call<br />//<br />}<br />/// 重写窗体的消息处理函数<br />protected override void DefWndProc(ref System.Windows.Forms.Message m)<br />{<br />switch(m.Msg)<br />{<br />//接收自定义消息 USER，并显示其参数<br />case Note.USER:<br />string message = string.Format ("Received message!<br />parameters are :{0},{1}",m.WParam ,m.LParam);<br />MessageBox.Show (message);<br />break;<br />default:<br />base.DefWndProc(ref m);<br />break;<br />}<br />//Console.WriteLine(m.LParam);<br />}<br /> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 19:16:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%b6%88%e6%81%af/" title="消息">消息</a>, <a href="https://www.iamivan.net/tag/%e7%aa%97%e4%bd%93/" title="窗体">窗体</a>, <a href="https://www.iamivan.net/tag/message/" title="message">message</a>, <a href="https://www.iamivan.net/tag/sendmessage/" title="sendmessage">sendmessage</a>, <a href="https://www.iamivan.net/tag/findwindow/" title="findwindow">findwindow</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c# 中如何定义和接收消息？(转）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKEgdz.html" rel="bookmark">COPYDATASTRUCT在托管VC&plus;&plus;中怎么定义和接收数据呢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 对应消息WM_COPYDATA的结构体COPYDATASTRUCT在托管VC++中怎么定义和接收数据呢发现托管VC的代码网上太少了,在这个问题上耗了一天,万能的CSDN的大侠们 解决方案 解决方案二:托管c++可以像非托管一样用解决方案三:最好直接用吧,我后面会跟C#的系统交互,解决方案四:要传什么样的数据?最好是用非托管.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBGO5z.html" rel="bookmark">android，环信3&period;0，接收消息在onResume事件中无响应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在onResume中添加了addMessageListener,在他的onMessageReceived中去接收消息,刚进去的时候可以收到消息,但是只要接收方发过一次消息之后,onResume事件就不调用了,里面的方法都不会调用,请问这是怎么回事儿,有解决办法吗?谢谢 解决方案 按照demo中的EaseChatFragment 这个类中的 onResume 和 onStop 看下这两个生命周期方法了.里面有注册和注销的方法的  您这边可以参照demo中的看下 看下这些生命周期的方法走不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5YWWap.html" rel="bookmark">请问Android适配器中我怎么判断接收的消息是否是自定义消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问Android适配器中我怎么判断接收的消息是否是自定义消息 解决方案 去获取消息的扩展,判断是否有值,比如if(message.getStringAttribute(&quot;attr&quot;,null)!=null)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rVyJz.html" rel="bookmark">jms-Spring JMS接收消息的同时怎么给发送端发送回执说已经接收到消息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Spring JMS接收消息的同时怎么给发送端发送回执说已经接收到消息 我想要在JMS接收到消息的时候告诉接收端已经接收到消息应该怎么做? 解决方案 这是你自己定义个通信协议的事,收到消息后向消息生产者发送自定义的收到消息就可以了,jms消息使用用下面代码实现1.消息发送 Java代码 复制代码//连接工厂 ConnectionFactory connFactory = new ActiveMQConnectionFactory( ActiveMQConnection.DEFAULT_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq78AGz.html" rel="bookmark">spring JMS在接收消息的时候总是报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 spring JMS在接收消息的时候总是报错 org.springframework.jms.UncategorizedJmsException: Uncategorized exception occured during JMS processing; nested exception is javax.jms.JMSException: Unexpected error occured at org.springframework.jms.support.JmsUtils.con			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmWEnp.html" rel="bookmark">微信企业号验证&sol;发送&sol;接收消息&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 内网映射 由于微信企业号回调模式的URL尽支持域名方式访问,估需要注册花生壳,做一个内网穿透(需要花16块钱,购买一个免费版,购买之后,第二天才能添加上域名) 2. 微信企业号 注册微信企业号:https://qy.weixin.qq.com/ (选择团队,团队不需要认证) 通讯录:新建组织 - &gt; 关注成员 企业号 -&gt; 应用中心 -&gt; 新建应用 -&gt; 消息型应用 -&gt; 模式选择(回调模式) -&gt; 开启微信消息转发, 回调模式说明:http://qydev.we			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZryBb.html" rel="bookmark">Android中使用socket通信实现消息推送的方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理最近用socket写了一个消息推送的demo,在这里和大家分享一下. 主要实现了:一台手机向另外一台手机发送消息,这两台手机可以随时自由发送文本消息进行通信,类似我们常用的QQ. 效果图: 原理:手机通过socket发送消息到服务器,服务器每接收到一条消息之后,都会把这条消息放进一个messageList里面,服务器会不停地检测messageList是否含有消息,如果有的话就会根据messageList里面item的数据,推送到相应的另一端手机上面. 下面简单画了一个图来说明这个原理: 演示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3kdoAb.html" rel="bookmark">Android中使用socket通信实现消息推送的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理 最近用socket写了一个消息推送的demo,在这里和大家分享一下. 主要实现了:一台手机向另外一台手机发送消息,这两台手机可以随时自由发送文本消息进行通信,类似我们常用的QQ. 效果图: 原理:手机通过socket发送消息到服务器,服务器每接收到一条消息之后,都会把这条消息放进一个messageList里面,服务器会不停地检测messageList是否含有消息,如果有的话就会根据messageList里面item的数据,推送到相应的另一端手机上面. 下面简单画了一个图来说明这个原理: 演			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Pv0PM.html" rel="bookmark">飞信发送消息失败或无法接收消息怎么办</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当用户通过飞信发送/接收消息时,如果遇到无法正常收发消息的情况,请参考以下方法进行排查: 1.请确认接收消息的好友状态是否正常,如果他是停机.关闭飞信服务且未公开手机号等状态,可能会无法正常收发消息. 2.请确认自己的姓名或短信内容中是否有敏感词(反动.暴力.色情等),如有,则短信可能无法正常收发. 3.请确认好友关系是否正常,如果未成功建立好友关系,可能会无法正常收发消息.建议双方重新建立好友关系. 4.请确认是否将接收消息的好友加入了黑名单,或者自己被他加入了黑名单.如果存在上述现象,那么用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPXZqp.html" rel="bookmark" class="title">javascript创建对象之原型模式&lpar;三&rpar;</a>
					<div>
						先上代码: function Human() { }         Human.prototype.name = &quot;成吉思汗&quot;;         Human.prototype. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB0rAb.html" rel="bookmark" class="title">apache调优教程</a>
					<div>
						前面两篇博文讲解了apache的部署和配置等方面知识,本篇将为大家详细讲解生产环境中对apache服务各个方面的优化调试. 生产环境中,大家肯定不会部署了apache之后就完事拿去上线了.光杆子上战场 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO7Y4b.html" rel="bookmark" class="title">WCF技术剖析之四：基于IIS的WCF服务寄宿（Hosting）实现揭秘</a>
					<div>
						通过&lt;再谈IIS与ASP.NET管道&gt;的介绍,相信读者已经对IIS和ASP.NET的请求处理管道有了一个大致的了解,在此基础上去理解基于IIS服务寄宿的实现机制就显得相对容易了.概括地说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPOjQz.html" rel="bookmark" class="title">Asp&period;net MVC Beta整合Spring&period;Net</a>
					<div>
						ASP.Net MVC已经是Beta版了,相信不久就会有正式版本发布. 关于Asp.Net MVC的文章已经非常多,大家可以在博客园里面搜索.具体关于Asp.Net的介绍我在这里就不多说了. 我这里主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPEr0z.html" rel="bookmark" class="title">7招教你提高电脑开机的速度</a>
					<div>
						提高开机速度有办法.7招教你提高电脑开机的速度. 1.禁用闲置的IDE通道 右键点击我的电脑-属性,然后点击&quot;硬件&quot;接着点击&quot;设备管理器&quot;,在其中打开&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8W3rp.html" rel="bookmark" class="title">Excel 2003如何拆分单元格</a>
					<div>
						  下图是我将多个单元格合并成了一个单元格,现在我们开始拆分; 用鼠标右键单击需要拆分的单元格,然后在弹出列表中选择&quot;设置单元格格式&quot;,在弹出的&quot;单元格格式&quot;里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw8KPz.html" rel="bookmark" class="title">lightroom相机校准怎么使用</a>
					<div>
						  lightroom相机校准怎么使用 1.lightroom相机校准使用方法很简单,首先我们打开lightroom软件,在图库中选择想要处理的照片. lightroom 2.在lightroom中选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7QV3b.html" rel="bookmark" class="title">DreamWeaver&comma;经典</a>
					<div>
						    1)在DW中,如何输入一个空格呢?     输入空格的问题,在DW似乎已成了一个老生常谈的问题,我们可能在许多介绍DW使用方面的书籍或文章中看到过N次.     DW中对空格输入的限制是针对& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDY2alb.html" rel="bookmark" class="title">分页-select中option的selected属性的动态指定！！</a>
					<div>
						问题描述 select中option的selected属性的动态指定!! 我现在有个select标签,下面有option选项,现在选择后要固定住,等于说提交数据后还是选中的选项.因为涉及到后面的一个分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVVq6b.html" rel="bookmark" class="title">dao-新人关于DAO的一些疑问</a>
					<div>
						问题描述 新人关于DAO的一些疑问 package com.huake.dao.impl; import java.util.List; import javax.annotation.Resourc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6BeDz.html" rel="bookmark" class="title">淘宝双促中的 RAX</a>
					<div>
						摘要:在2017年1月12日 Weex Conf 2017上,来自淘宝前端团队的亚城结合淘宝实际业务分享了淘宝双促中的RAX实践,在本次 Weex Conf 上正式开源的 RAX 是基于 React  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qd6Jp.html" rel="bookmark" class="title">c语言-在VC编的程序如何在非VC环境下运行呢？</a>
					<div>
						问题描述 在VC编的程序如何在非VC环境下运行呢? 小白一枚,用C抄了一个猜拳游戏,生成的exe文件貌似不能在别的电脑上运行,有什么方法可以解决呢?静态链接如何实现呢? 解决方案 在VC中,是静态.还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6l0Vb.html" rel="bookmark" class="title">求大神指点 ajax data 参数为xml字符串</a>
					<div>
						问题描述 求大神指点 ajax data 参数为xml字符串 $.ajax({ //要用post方式 type: &quot;&quot;Post&quot;&quot; //方法所在页面和方法名 u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgBLqb.html" rel="bookmark" class="title">用System&period;Drawing&period;Bitmap的save保存图片，本地可以正常显示，发布到iis上保存的是空白图片</a>
					<div>
						问题描述 IntPtrdc1=CreateDC(&quot;DISPLAY&quot;,null,null,(IntPtr)null);//创建显示器的DCSystem.Drawing.Graphic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zGEKroM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAxMDkxNjQzNDcxMDk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YW1saGJtdDFibXRwYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zGEKroM.html" rel="bookmark" class="title">C&num; 加密小工具代码实现</a>
					<div>
						关键点有以下几个: 1.openFileDialog控件的使用 如果通过单击选择按钮来实现选择本地某个文件的功能呢? 具体来说分为以下几步: a.新建Winform窗体,画好相应的控件. b.在工具箱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB170Kz.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus;中使用指针引用的问题</a>
					<div>
						问题描述 C++中使用指针引用的问题 #include #include using namespace std; struct BSTNode { BSTNode left; BSTNode *ri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyerqJM.html" rel="bookmark" class="title">android linearlayout-Android线性布局问题，调整了一下button文本内容位置，button大小发生了变化，如下图</a>
					<div>
						问题描述 Android线性布局问题,调整了一下button文本内容位置,button大小发生了变化,如下图 android:paddingRight=&quot;&quot;10dp&quot;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqw8Dp.html" rel="bookmark" class="title">数目or活力 腾讯需做出选择</a>
					<div>
						腾讯门户的改版后,再次在顶栏突出强调四款主要产品的直接进口,腾讯微博.QQ Mail.QQ空间及朋友网,在用户登录QQ情况下,开通这些服务只需要用户点进去,直接用QQ号就可以登录.QQ从来不是一个人在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEPWeM.html" rel="bookmark" class="title">extjs2做的树，带有增删改和链接的gridpanel</a>
					<div>
						问题描述 extjs treeloader加载树的原理是什么?最好有例子说明,我指的是从远程加载树,也就是从数据库读取树的数据.下面有我的页面,实现的是两级树,增删改功能都有.现在我想做成3级以上的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOjoDb.html" rel="bookmark" class="title">引导和规范网络剧 微电影等网络视听节目健康发展</a>
					<div>
						[赛迪网讯]7月10日消息,昨日,为引导和规范网络剧.微电影等网络视听节目健康发展,国家广电总局和国家互联网信息办联合下发&lt;关于进一步加强网络剧.微电影等网络视听节目管理的通知&gt;(以下简称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkYKLp.html" rel="bookmark" class="title">IBM芯片业务不会出售给GlobalFoundries</a>
					<div>
						[天极网服务器频道7月29日消息]IBM这个蓝色巨人打算出售芯片业务的消息传了很久,这不由于价格原因,GlobalFoundries公司并不会接盘IBM的半导体业务. Globalfoundries提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ24J6z.html" rel="bookmark" class="title">Java 中的注解详解及示例代码&lowbar;java</a>
					<div>
						在Java中,注解(Annotation)引入始于Java5,用来描述Java代码的元信息,通常情况下注解不会直接影响代码的执行,尽管有些注解可以用来做到影响代码执行. 注解可以做什么 Java中的注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYxL1b.html" rel="bookmark" class="title">js中split函数的使用方法说明&lowbar;javascript技巧</a>
					<div>
						splitsplit与join作用相反,用于把一个字符串分割成字符串数组.stringObject.split(a,b)这是它的语法. a是必须的 决定从a这分割.b不是必须的,可选.该参数可指定返回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE5OZz.html" rel="bookmark" class="title">sql server分页存储过程三种实例</a>
					<div>
						例1.用于通用数据分页  代码如下 复制代码 create procedure [dbo].[Pub_DataPager]     @pTableName nvarchar(1000), --表名   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q70aM.html" rel="bookmark" class="title">三季度营业额13&period;07亿美元 AMD公布新财报</a>
					<div>
						AMD今天宣布2016年第三季度营业额为13.07亿美元,经营亏损2.93亿美元,净亏损4.06亿美元,每股亏损0.50美元.非GAAP经营收入7000万美元,净收入2700万美元,每股收益0.03美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk5ZJz.html" rel="bookmark" class="title">MuleSoft发布新的Anypoint Platform，用户可操控API</a>
					<div>
						Mulesoft发布了新的Anypoint Platform主版本,其亮点在于团队协作功能,支持在平台内对API的创建.保存.发现和重用,以及资产(Asset)的整合. 该版本命名为&quot;Cro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmjDxb.html" rel="bookmark" class="title">能否实现文件夹同步功能</a>
					<div>
						问题描述 我现在想实现这样的功能,请问应该如何实现啊:我服务器端有两个文件夹,其中某一个文件夹内容发生变化时,另一个文件夹能自动同步(也就是内容一样),能不能提供下思路?谢谢 解决方案 解决方案二:同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y3OBz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;报复黑客&rdquo;：可行的战略还是重大的风险？</a>
					<div>
						现在世界各地的企业都在关注如何保护他们的信息资产,他们需要这些资产用以制造产品.提供服务.在市场区分自己.生成利润以及为其客户和股东创造价值,为此,这些企业正在投入巨大的资源来保护重要的信息资产. 企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqG5Ep.html" rel="bookmark" class="title">Android 官网无法访问的解决方法</a>
					<div>
						原文来自:http://jingyan.baidu.com/article/ff42efa91d7abcc19e2202f0.html android的开发需要访问android sdk的官网:&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOkWZ3z.html" rel="bookmark" class="title">佳明50亚马逊热卖</a>
					<div>
						佳明50是Garmin去年推出的一款入门车载导航仪,使用的是5.0英寸触摸屏,内置佳明正版导航软件,佳明50这个型号提供终身免费升级的售后服务.佳明50支持3D实景导航,现亚马逊售价为890元.有意向 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
